/* Variables */
:root {
  --twsm-color-primary: #ea580c;
  --twsm-color-black: rgb(51, 51, 51);
  --twsm-font-heading: Barlow, Arial, Helvetica, sans-serif;
}

/* Container */
*[id^="twn-starter-"] {
  color: var(--twsm-color-black);
  margin-right: auto;
  margin-left: auto;
  padding: 0;
  padding-left: 15px;
  padding-right: 15px;
  background: #fff;
}

*[id^="twn-starter-"] .twn-starter {
  position: relative;
}

@media (min-width: 768px) {
  *[id^="twn-starter-"] {
    width: 750px;
  }
}

@media (min-width: 992px) {
  *[id^="twn-starter-"] {
    width: 970px;
  }
}

@media (min-width: 1200px) {
  *[id^="twn-starter-"] {
    width: 1170px;
  }
}

/* Header */
*[id^="twn-starter-"] .twn-starter__header {
  display: flex;
  justify-content: flex-start;
  border: none;
}

*[id^="twn-starter-"] .twn-starter__header-title {
  padding: 0;
  font-family: var(--twsm-font-heading);
  font-weight: 700;
  font-size: 24px;
  color: var(--twsm-black);
  text-transform: uppercase;
}

*[id^="twn-starter-"] .twn-starter__header-close {
  background-color: var(--twsm-color-primary);
  padding: 7px 12px;
  font-weight: 700;
  color: #fff;
}

*[id^="twn-starter-"] .twn-starter__header-close:hover {
  text-decoration: none;
  background-color: #9d9d9d;
}

/* Filters */
@media (max-width: 767px) {
  *[id^="twn-starter-"] .twn-starter__left.is-expanded {
    z-index: 2000;
  }

  *[id^="twn-starter-"] .twn-starter__facets-header {
    padding: 16px;
    font-family: var(--twsm-font-heading);
    text-transform: uppercase;
  }

  *[id^="twn-starter-"] .twn-starter__facets-item {
    padding-bottom: 8px;
  }
}

@media (min-width: 768px) {
  *[id^="twn-starter-"] .twn-starter__facets {
    height: 100%;
    padding-right: 24px;
    border-right: 1px solid #eee;
  }

  *[id^="twn-starter-"] .twn-starter__facets-item {
    margin-bottom: 24px;
  }
}

*[id^="twn-starter-"] .twn-facet__head {
  height: 30px;
  margin-bottom: 0;
  padding: 0;
}

*[id^="twn-starter-"] .twn-facet__title {
  font-family: var(--twsm-font-heading);
  font-weight: 700;
  font-size: 14px;
  color: var(--twsm-color-black);
  text-transform: uppercase;
}

*[id^="twn-starter-"] .twn-facet__collapse {
  height: 13px;
}

*[id^="twn-starter-"] .twn-facet__collapse .twn-icon {
  display: flex;
  width: 13px;
  height: 13px;
}

*[id^="twn-starter-"] .twn-facet-collection__item {
  min-height: 28px;
  margin: 2px 0;
  padding: 0;
}

*[id^="twn-starter-"] .twn-facet-collection__item:hover {
  margin-left: -16px;
  margin-right: -12px;
  padding-left: 14px;
  padding-right: 12px;
  border-left: 2px solid var(--twsm-color-primary);
  background-color: #fafafa;
}

*[id^="twn-starter-"] .twn-facet-collection__item:hover .twn-facet-collection__name,
*[id^="twn-starter-"] .twn-facet-collection__item.is-selected .twn-facet-collection__name {
  color: var(--twsm-color-primary);
  font-weight: normal;
  text-decoration: none;
}

*[id^="twn-starter-"] .twn-facet-collection__link {
  flex-direction: row-reverse;
}

*[id^="twn-starter-"] .twn-facet-collection__left {
  width: 100%;
}

*[id^="twn-starter-"] .twn-facet-collection__count {
  padding: 3px 6px 4px;
  background-color: rgba(0, 0, 0, 0.05);
  border-radius: 10px;
  color: #aaa;
  font-weight: 400;
  font-size: 11px;
}

*[id^="twn-starter-"] .twn-facet-collection__checkbox {
  margin-right: 4px;
  width: 13px;
  height: 13px;
  border-color: #666;
}

*[id^="twn-starter-"] .twn-facet-collection__checkbox.checked::after {
  top: -3px;
  left: 3px;
  width: 7px;
  height: 13px;
  border-color: var(--twsm-color-primary);
}

*[id^="twn-starter-"] .twn-facet-collection__item.is-selected .twn-facet-collection__checkbox {
  border-color: #666;
  background-color: transparent;
}

*[id^="twn-starter-"] .twn-facet-collection__foot {
  padding: 0;
}

*[id^="twn-starter-"] .twn-facet-collection__foot a {
  color: var(--twsm-color-black);
}

*[id^="twn-starter-"] .twn-facet-range {
  padding: 8px 0 0 0;
}

*[id^="twn-starter-"] .vue-slider-rail,
*[id^="twn-starter-"] .vue-slider-process {
  background-color: #d3d3d3;
}

*[id^="twn-starter-"] .vue-slider-dot-handle {
  background-color: var(--twsm-color-primary);
}

*[id^="twn-starter-"] .twn-facet-range__input-min input,
*[id^="twn-starter-"] .twn-facet-range__input-max input {
  padding: 2px;
  border-color: #ddd;
  font-size: 12px;
}

/* Filters button */
@media (max-width: 767px) {
  *[id^="twn-starter-"] .twn-starter__header {
    order: 1;
  }

  *[id^="twn-starter-"] .twn-starter__main {
    order: 3;
  }

  *[id^="twn-starter-"] .twn-starter > .twn-starter__filter-btn {
    order: 2;
    position: unset;
    bottom: unset;
    background-color: transparent;
  }
}

*[id^="twn-starter-"] .twn-starter__filter-btn a {
  background-color: var(--twsm-color-primary);
  font-family: var(--twsm-font-heading);
  text-transform: uppercase;
}

*[id^="twn-starter-"] .twn-starter > .twn-starter__filter-btn {
  padding: 14px 0;
}

*[id^="twn-starter-"] .twn-starter__filter-btn a:hover {
  text-decoration: none;
}

/* Products header */
@media (max-width: 767px) {
  *[id^="twn-starter-"] .twn-starter__products-header {
    padding: 4px 0 0 0;
  }
}

@media (min-width: 768px) {
  *[id^="twn-starter-"] .twn-starter__products-header {
    padding-right: 0;
  }
}

*[id^="twn-starter-"] .twn-starter__search-summary {
  height: unset;
}

*[id^="twn-starter-"] .twn-starter__products-header-columns:last-child {
  justify-content: flex-end;
  padding: 8px;
  background-color: #fafafa;
}

*[id^="twn-starter-"] .twn-select-sort {
  height: 32px;
  border: 1px solid #ddd;
  background-color: #fff;
}

*[id^="twn-starter-"] .twn-select-sort__placeholder .twn-icon {
  display: none;
}

*[id^="twn-starter-"] .twn-select-sort__select {
  padding: 0 10px;
  font-size: 14px;
}

*[id^="twn-starter-"] .twn-select-sort__toggle .twn-icon {
  width: 13px;
  height: 13px;
}

*[id^="twn-starter-"] .twn-starter__pagination.is-top {
  display: none;
}

/* Products */
@media (max-width: 767px) {
  *[id^="twn-starter-"] .twn-starter__products-item {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 0;
  }

  *[id^="twn-starter-"] .twn-product-tile {
    flex-direction: row;
  }

  *[id^="twn-starter-"] .twn-product-tile__image {
    flex: 0 0 33%;
  }

  *[id^="twn-starter-"] .twn-product-tile__details {
    padding: 10px;
  }

  *[id^="twn-starter-"] .twn-product-tile__actieprijs,
  *[id^="twn-starter-"] .twn-product-tile__pricing {
    bottom: 8px;
  }
}

@media (min-width: 768px) {
  *[id^="twn-starter-"] .twn-starter__products {
    padding-left: 16px !important;
  }

  *[id^="twn-starter-"] .twn-starter__products-item {
    padding: 10px;
  }

  *[id^="twn-starter-"] .twn-product-tile__image {
    height: 200px;
  }

  *[id^="twn-starter-"] .twn-product-tile__image::after {
    display: none;
  }

  *[id^="twn-starter-"] .twn-product-tile__details {
    margin-top: 10px;
  }

  *[id^="twn-starter-"] .twn-product-tile__actieprijs {
    top: 200px;
  }

  *[id^="twn-starter-"] .twn-product-tile__pricing {
    top: 125px;
  }
}

*[id^="twn-starter-"] .twn-starter__products {
  padding: 0;
}

*[id^="twn-starter-"] .twn-product-tile {
  position: relative;
}

*[id^="twn-starter-"] .twn-product-tile__image a {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
}

*[id^="twn-starter-"] .twn-product-tile__title {
  height: unset;
  margin-bottom: 0;
}

*[id^="twn-starter-"] .twn-product-tile__title a {
  display: unset;
  -webkit-line-clamp: unset;
  -webkit-box-orient: unset;
  text-overflow: unset;
  overflow: unset;
  word-break: break-word;
}

*[id^="twn-starter-"] .twn-product-tile__title a:hover {
  text-decoration: underline;
}

*[id^="twn-starter-"] .twn-product-tile__pricing {
  position: absolute;
  left: 0;
  width: 65px;
  height: 65px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: var(--twsm-color-primary);
  border-radius: 100px;
}

*[id^="twn-starter-"] .twn-product-tile__price {
  font-size: 11px !important;
}

*[id^="twn-starter-"] .twn-product-tile__pricing span {
  font-size: 16px;
  font-weight: 700;
  color: #fff;
}

*[id^="twn-starter-"] .twn-product-tile__pricing span.is-original {
  font-size: 11px;
  text-decoration: line-through;
  opacity: 0.75;
  line-height: 8px;
  font-weight: 400;
}

*[id^="twn-starter-"] .twn-product-tile__description {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 12px;
  font-weight: normal;
}

*[id^="twn-starter-"] .twn-product-tile__wobbler {
  position: absolute;
  top: 0;
  left: 0;
}

*[id^="twn-starter-"] .twn-product-tile__wobbler img {
  max-height: 80px;
  max-width: 90px;
}

*[id^="twn-starter-"] .twn-product-tile__actieprijs {
  position: absolute;
  left: 0;
  width: 65px;
}

*[id^="twn-starter-"] .twn-product-tile__actieprijs span {
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  white-space: nowrap;
  background-color: #fff000;
  color: var(--twsm-color-black);
  padding: 3px;
  font-weight: 500;
  font-size: 13px;
}

@media only screen and (max-width: 767px) {
  *[id^="twn-starter-"] .twn-product-tile__actieprijs span {
    left: -15px;
    bottom: -8px;
    transform: unset;
  }
}

*[id^="twn-starter-"] .twn-product-tile.is-content .twn-product-tile__pricing,
*[id^="twn-starter-"] .twn-product-tile.is-content .twn-product-tile__actieprijs {
  display: none;
}
